import axios from '@/libs/axios.js';
// 获取是否有转盘
export const findEnable = params => {
  return axios.request({
    url: `luckyDraw/findEnable`,
    method: 'get',
  })
};
// 抽奖takeOut
export const takeOut = params => {
  return axios.request({
    url: `luckyDraw/takeOut/${params.id}`,
    method: 'get',
  })
};
// 获取免费抽奖次数
export const findCustomerTimes = params => {
  return axios.request({
    url: `luckyDrawCust/findCustomerTimes/${params.id}`,
    method: 'get',
  })
};
// 获取任务列表
export const findCustomerTask = params => {
  return axios.request({
    url: `luckyDrawCust/findCustomerTask/${params.id}`,
    method: 'get',
  })
};
// 购买抽奖次数
export const buyDrawTimes = params => {
  return axios.request({
    url: `luckyDrawCust/buyDrawTimes`,
    method: 'post',
	data: params
  })
};
// 获取已中奖列表
export const findWinPrize = params => {
  return axios.request({
    url: `luckyDrawCust/findWinPrize`,
    method: 'get',
  })
};

// 领奖
export const receive = params => {
  return axios.request({
    url: `luckyDrawCust/receive`,
    method: 'post',
	data: params
  })
};

// 获奖记录
export const queryWinRecord = params => {
  return axios.request({
    url: `luckyDraw/queryWinRecord/${params.pageNo}/${params.pageSize}`,
    method: 'post',
	data: {}
  })
};

// 抽奖任务
export const doTask = params => {
  return axios.request({
    url: `luckyDrawCust/doTask/${params.luckyDrawNo}/${params.taskCode}`,
    method: 'get',
  })
};